WordPress.org

Ready to get started?Download WordPress

Forums

Football Pool
[resolved] 2.3.2 synax error (8 posts)

  1. pjbursnall
    Member
    Posted 10 months ago #

    Latest version of this plugin does not work - returns following error when activated:

    Parse error: syntax error, unexpected ')', expecting ',' or ';' in /home/xxxx/public_html/xxxx/wp-content/plugins/football-pool/widgets/widget-football-pool-group.php on line 61

    2.3.1 works fine. I have tested latest version on 2 vanilla WordPress installs and the same error is returned.

    Thanks,
    Paul.

    http://wordpress.org/plugins/football-pool/

  2. hongkit99
    Member
    Posted 10 months ago #

    Encountered the same error. Any idea to fix it?

    Thanks

  3. Faresaldo.com
    Member
    Posted 10 months ago #

    But did the calculations and ranking work properly for you with version 2.3.1? I think there's a major calculations problem starting with verseion 2.3.0.

  4. studavis
    Member
    Posted 10 months ago #

    Same here, 2.3.1 worked fine (well the install worked fine - didn't do any calculations), but I'm getting the same error above on upgrade to 2.3.2. Also gives me no access to /wp-admin/ too with this error.

  5. Faresaldo.com
    Member
    Posted 10 months ago #

    Just in case any of you would like to revert back to the last properly working version:

    UPDATE: Anyone having the same problem as above.. there is no way you would be able to resolve it.. there is obviously a serious bug in the ranking calculation starting with version 2.3.0

    As far as I'm concerned.. if you didn't keep a database backup from version 2.2.5 then you're probably stuck until the author resolves the problem and releases a new version..

    Otherwise, if you kept a backup.. then do the following to resolve all your problems:

    1) Download the old script version here http://downloads.wordpress.org/plugin/football-pool.2.2.5.zip
    2) Unzip the folder on your local computer
    3) Upload the folder to /public_html/yourwebsite.com/wp-content/plugins (overwriting version 2.3.x)
    4) Go to PhpMyAdmin from your Cpanel and import the database you backed up before all the 2.3.x versions were released

    Now you should be fine...

  6. AntoineH
    Member
    Plugin Author

    Posted 10 months ago #

    The error is fixed. Some unfinished changes got mixed in the trunk code by mistake.

    line 61 of the file widgets/widget-football-pool-group.php should be:
    echo apply_filters( 'footballpool_widget_html_group', $output );

  7. Faresaldo.com
    Member
    Posted 10 months ago #

    So if I do an upgrade now.. would the above correction be included in the file.. or should I still make the change manually after the upgrade?

  8. AntoineH
    Member
    Plugin Author

    Posted 10 months ago #

    Version 2.3.3 contains the fix. The remark is for people who don't want to upgrade.

Reply

You must log in to post.

About this Plugin

About this Topic

Tags

No tags yet.